Skip to main content
DELETE
/
catchAll
/
webhooks
/
{webhook_id}
/
resources
/
{resource_type}
/
{resource_id}
Remove resource from webhook
curl --request DELETE \
  --url https://catchall.newscatcherapi.com/catchAll/webhooks/{webhook_id}/resources/{resource_type}/{resource_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://catchall.newscatcherapi.com/catchAll/webhooks/{webhook_id}/resources/{resource_type}/{resource_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};

fetch('https://catchall.newscatcherapi.com/catchAll/webhooks/{webhook_id}/resources/{resource_type}/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": "Invalid API key"
}
{
"detail": "Invalid API key"
}

Authorizations

x-api-key
string
header
required

API key for authentication.

Path Parameters

webhook_id
string<uuid>
required

Unique webhook identifier.

resource_type
enum<string>
required

Resource types that can be assigned to a webhook.

Available options:
job,
monitor,
monitor_group
resource_id
string<uuid>
required

Unique resource identifier.

Response

Resource removed from webhook. No response body.